Index: main/cli.c
===================================================================
--- main/cli.c	(revision 89133)
+++ main/cli.c	(working copy)
@@ -698,16 +698,16 @@
 
 	switch (cmd) {
 	case CLI_INIT:
-		e->command = "soft hangup";
+		e->command = "core send soft hangup";
 		e->usage =
-			"Usage: soft hangup <channel>\n"
+			"Usage: core send soft hangup <channel>\n"
 			"       Request that a channel be hung up. The hangup takes effect\n"
 			"       the next time the driver reads or writes from the channel\n";
 		return NULL;
 	case CLI_GENERATE:
 		return ast_complete_channels(a->line, a->word, a->pos, a->n, 2);
 	}
-	if (a->argc != 3)
+	if (a->argc != 5)
 		return CLI_SHOWUSAGE;
 	c = ast_get_channel_by_name_locked(a->argv[2]);
 	if (c) {
@@ -719,6 +719,14 @@
 	return CLI_SUCCESS;
 }
 
+static char *handle_softhangup_deprecated(struct ast_cli_entry *e, int cmd, struct ast_cli_args *a)
+{
+	char *res = handle_unload(e, cmd, a);
+	if (cmd == CLI_INIT)
+		e->command = "soft hangup";
+	return res;
+}
+
 static char *__ast_cli_generator(const char *text, const char *word, int state, int lock);
 
 static char *handle_commandmatchesarray(struct ast_cli_entry *e, int cmd, struct ast_cli_args *a)
@@ -1113,6 +1121,7 @@
 static struct ast_cli_entry cli_module_load_deprecated = AST_CLI_DEFINE(handle_load_deprecated, "Load a module");
 static struct ast_cli_entry cli_module_reload_deprecated = AST_CLI_DEFINE(handle_reload_deprecated, "reload modules by name");
 static struct ast_cli_entry cli_module_unload_deprecated = AST_CLI_DEFINE(handle_unload_deprecated, "unload modules by name");
+static struct ast_cli_entry cli_soft_hangup_deprecated = AST_CLI_DEFINE(handle_softhangup_deprecated, "Request a hangup on a given channel");
 
 static char *handle_help(struct ast_cli_entry *e, int cmd, struct ast_cli_args *a);
 
@@ -1149,7 +1158,7 @@
 
 	AST_CLI_DEFINE(handle_showuptime, "Show uptime information"),
 
-	AST_CLI_DEFINE(handle_softhangup, "Request a hangup on a given channel"),
+	AST_CLI_DEFINE(handle_softhangup, "Request a hangup on a given channel", .deprecate_cmd = &cli_soft_hangup_deprecated),
 };
 
 /*!
